Subject: Re: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Gerd Möllmann <[email-masked]>
Date: Thu, 08 Sep 2022 11:35:16 +0200

Eli Zaretskii <[email-masked]> writes:

> I guess by P1 you mean these two sequences:
>
>   BSU: ESC P = 1 s ESC \
>   ESU: ESC P = 2 s ESC \
>
> whereas by P2 you mean these:
>
>   DECRQM: ESC [ ? 2026 $ p
>   DECRPM: ESC [ ? 2026 ; n $ y  (with n = 0..4, and 0 or 4 means "no support")
>   BSU:    ESC [ ? 2026 h
>   ESU:    ESC [ ? 2026 l

Yes, that looks like them.

>
>> > Do you happen to know where is the definitive documentation of Sync?
>> 
>> Sorry, I don't know a definitive documentation.
>
> And any documentation at all?

Not even that.  I tried to find something today, but nothing useful
turned up.

>
> Anyway, given the problems usually related to querying terminals about
> potentially unsupported features, and the general mess in this field,
> I think our best bet is to have a function that could switch the
> frame-update hooks between these 3 states:
>
>   . unused
>   . used with P1 BSU/ESU sequences
>   . used with P2 BSU/ESU sequences
>
> WDYT?

Yes, something like that, I guess.